%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Sort-Versions
Version:       1.5
Release:       4mamba
Summary:       Sort::Versions - Sorting of revision (and similar) numbers
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/authors/id/E/ED/EDAVIS/Sort-Versions-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/perl-root

%description
A perl module for sorting of revision (and similar) numbers.

%prep
%setup -q -n Sort-Versions-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-4mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-3mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 1.5-2mamba
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1qilnx
- first build
